%global bundle org.apache.felix.utils

Name:             felix-utils
Version:          1.2.0
Release:          %mkrel 1
Summary:          Utility classes for OSGi
License:          ASL 2.0
Group:            Development/Java
URL:              http://felix.apache.org
Source0:          http://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:        noarch

BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    jpackage-utils
BuildRequires:    felix-osgi-compendium
BuildRequires:    felix-osgi-core
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    mockito

Requires:         java

%description
Utility classes for OSGi

%package javadoc
Group:            Documentation
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# Remove compiler plugin so default target of 1.5 is used
%pom_remove_plugin :maven-compiler-plugin
# Remove rat plugin that is not in Fedora
%pom_remove_plugin org.codehaus.mojo:rat-maven-plugin

%mvn_file :%{bundle} "felix/%{bundle}"

%build
# one of the tests fails in mock (local build is ok)
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 1.2.0-1.mga4
+ Revision: 488881
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 1.1.0-6.mga4
+ Revision: 453000
- Changing target from jsr14 to 1.5 (rhbz #842593)

* Fri Jan 11 2013 umeabot <umeabot> 1.1.0-5.mga3
+ Revision: 350186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 13 2012 dmorgan <dmorgan> 1.1.0-4.mga3
+ Revision: 293348
- Clean spec file

* Fri Dec 23 2011 gil <gil> 1.1.0-3.mga2
+ Revision: 186543
- used felix-utils-1.1.0-pom.patch
- used felix-utils-1.1.0-pom.patch

* Fri Dec 23 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 186280
- Sync with fedora

* Tue Nov 01 2011 gil <gil> 1.1.0-1.mga2
+ Revision: 160743
- imported package felix-utils

